Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreTokenStoreResolver

Exposes a method allowing to resolve a token store.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreTokenStoreResolver

###### Namespace: OpenIddict.EntityFrameworkCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreTokenStoreResolver : IOpenIddictTokenStoreResolver

### Constructors

#### OpenIddictEntityFrameworkCoreTokenStoreResolver(OpenIddictEntityFrameworkCoreTokenStoreResolver.TypeResolutionCache, IOptionsMonitor<OpenIddictEntityFrameworkCoreOptions>, IServiceProvider)

##### Declaration

    public OpenIddictEntityFrameworkCoreTokenStoreResolver(OpenIddictEntityFrameworkCoreTokenStoreResolver.TypeResolutionCache cache, IOptionsMonitor<OpenIddictEntityFrameworkCoreOptions> options, IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictEntityFrameworkCoreTokenStoreResolver.TypeResolutionCache | cache |
IOptionsMonitor<OpenIddictEntityFrameworkCoreOptions> | options |
System.IServiceProvider | provider |

### Methods

#### Get<TToken>()

Returns a token store compatible with the specified token type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    public IOpenIddictTokenStore<TToken> Get<TToken>()
        where TToken : class

##### Returns

Type | Description
--- | ---
IOpenIddictTokenStore<TToken> | An .

##### Type Parameters

Name | Description
--- | ---
TToken | The type of the Token entity.